% GISSMO, 1.3 à 1.5
% Olivier DOSSMANN
% 24 mai 2016

# Rappel

## Définition

GISSMO ou « Gestion Informatisée pour le Suivi des Sites et du Matériel sismOlogique »

> gizmo - A nonsensical placeholder name for something, generally a device, that one does not know the proper term for

Un bidule, un gadget

## Concrètement

Version 1.3 (sept. 2015)

  * gère du *matériel*
  * placé sur des *sites*
  * sur lesquels ont fait des interventions
  * avec la possibilité d'associer des *canaux*

## Écosystème

  * [gissmo.unistra.fr](https://gissmo.unistra.fr/) (https)
  * Code source sur [Github](https://github.com/eost/gissmo/)
  * [hotline nommée Issues](https://github.com/eost/gissmo/issues)
  * Actuellement dépôt privé

---

![Projets sur Github](img/github_projects.jpg)

# Version 1.4

## Préparation

  * Plan de développement 2014-2016
  * Environnement de développement reproductible
  * Fichiers de migration
  * Tests
    * console
    * web
    * commit local
  * Changelog

## Lifting

  * Python 2.7 (juil. 2010) → 3.4 (mar. 2014)
  * Django 1.4 (mar. 2012)  → 1.8 (avr. 2015)
  * Code source
  * Nouveau thème
  * Suppression de vieilles dépendances
  * Vitesse (ex. 142s → 5s)

---

![Ancienne interface](img/old_interface.jpg)

---

![Nouvelle interface](img/new_interface.jpg)

# Version 1.5

## Maintenance

  * Python 3.4 → 3.5.1 (déc. 2015)
  * Django 1.8 → 1.8.13 (mai 2016)

## Améliorations

  * Faciliter le travail du super utilisateur
    * *manufacturer*
    * équipements interdits
    * intervenants → user + group
    * simulation *change model*
  * Pour l'utilisateur
    * bouton *close channels*
    * rapidité
    * nouveaux filtres

## Nouveautés

  * Passage à l'anglais uniquement
  * IP et Services sur équipements réseau
  * API

## API

  * [/api/](gissmo.unistra.fr/api/)
  * JSON
  * [scripts d'exemples](https://github.com/eost/gissmo/blob/dev/scripts/webservice_examples/)
  * howto
  * accès limité aux OBS
  * interfaçage avec d'autres applications (web, mobile, etc.)

# Version 1.6 et suivantes

## Github

[Milestones](https://github.com/eost/gissmo/milestones) :

  * 1.6:
    * quelques corrections
    * saisie des canaux
    * finaliser lien avec la supervision
    * configuration par défaut des équipements
    * affiner quelques points techniques
  * …
  * 2.0 (BDD)
  * 2.1 (non définis)

# Version 2.0

## But

  * information répartie de façon à en faciliter la manipulation
  * API plus compréhensible (ex. Chain)
  * DEV plus facile

## Actuellement

  * en parallèle
  * Django 1.9
  * open source (CeCILL)
  * simplification du schéma des données

---

![Avant](img/bdd_example_before.jpg)

---

![Après](img/bdd_example_after.jpg)

## À faire

  * logo
  * documentation en ligne (readthedoc)
  * automatisation des tests
  * interface web sur la 2.0

# Questions ?
